from discord import Interaction, ButtonStyle, PartialEmoji
from discord.ui import View
from emoji import emojize

from src.roles import AddRoleButton, RemoveRoleButton

class RoleSelectView(View):
    def __init__(self):
        super().__init__(timeout=None)
        self.add_item(
            AddRoleButton(
                style=ButtonStyle.primary,
                label="Add Roles",
                emoji=PartialEmoji.from_str(emojize(":check_mark_button:")),
                custom_id="role_select:add"
            )
        )
        self.add_item(
            RemoveRoleButton(
                style=ButtonStyle.secondary,
                label="Remove Roles",
                emoji=PartialEmoji.from_str(emojize(":cross_mark:")),
                custom_id="role_select:remove"
            )
        )
